<template>
  <div class="promo-card rounded-lg type-first_deposit">
    <div
      class="card-image rounded-lg w-[92vw] h-[36vw] overflow-hidden relative"
    >
      <img
        :src="promotion.ImagePathForDisplay"
        class="rounded-lg absolute w-full h-full object-contain"
        :id = "`${ID.PROMOTION_INFO}_${ID.PROMOTION_TYPE_ID[promotion.PromotionTypeId]}_${promotion.Id}`"
      />
    </div>
  </div>
</template>

<script setup lang="ts">
import format from "date-fns/format";
import { Promotion } from "@/models/promotion/promotion";
import { ID } from "~~/utils/constants";

defineProps({
  promotion: {
    type: Object as PropType<Promotion>,
    required: true,
  },
});

const formatDate = (date: string | Date) => {
  if (date instanceof Date) {
    return format(date, "yyyy/MM/dd");
  }
  return format(new Date(date), "yyyy/MM/dd");
};
</script>

<style scoped>
.promo-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #f5f5f5;
  margin-bottom: 15px;
  position: relative;
  box-shadow: 0 2px 4px rgb(108 123 168 / 20%);
}
.card-footer {
  position: absolute;
  z-index: 2;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  left: 0;
  bottom: 11%;
  max-width: fit-content;
  height: 5vw;
  background: rgba(255, 255, 255, 0.9);
  color: #414655;
  padding-left: 0.3rem;
  padding-right: 0.3rem;
  border-radius: 0 2rem 2rem 0;
}
</style>
